import { DocumentNode } from 'graphql';
import { Observable } from 'rxjs';
import { FetchResult } from '@apollo/client/core';
import { TypedDocumentNode } from '@graphql-typed-document-node/core';
import { Apollo } from './apollo';
import { MutationOptionsAlone, EmptyObject } from './types';
export declare class Mutation<T = {}, V = EmptyObject> {
    protected apollo: Apollo;
    readonly document: DocumentNode | TypedDocumentNode<T, V>;
    client: string;
    constructor(apollo: Apollo);
    mutate(variables?: V, options?: MutationOptionsAlone<T, V>): Observable<FetchResult<T>>;
}
